=== debian/changelog ===
bareos (14.2.1+20141017gitc6c5b56-3+deb8u3) jessie; urgency=medium

  * Fix permissions of bareos-dir logrotate config. (Closes: #864926)
  * Fix file corruption when using SHA1 signature. (Closes: #869608)
  * Add autopkgtest for SHA1 signature.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 27 Jul 2017 21:02:50 +0200

bareos (14.2.1+20141017gitc6c5b56-3+deb8u2) jessie; urgency=medium

  * Fix GnuTLS backend initialization. (Closes: #819807)
    - Backport upstream commits in d/patches/fix-tls-backend-initalization
  * Add autopkgtests for TLS.
  * Add breaks-testbed to all tests.
  * Fix TLS negotiation for passive filedaemons.
    - Backport upstream commit in d/patches/fix-tls-passive-fds

 -- Felix Geyer <fgeyer@debian.org>  Sat, 09 Apr 2016 16:25:33 +0200

bareos (14.2.1+20141017gitc6c5b56-3+deb8u1) stable; urgency=medium

  [ Felix Geyer ]
  * backport the fix for the backup corruption on multi-volume jobs
    (Closes: #788543)
  * add autopkgtests

  [ Evgeni Golov ]
  * do not try to create the databases when running tests

 -- Evgeni Golov <evgeni@debian.org>  Sun, 30 Aug 2015 09:08:30 +0200

bareos (14.2.1+20141017gitc6c5b56-3) unstable; urgency=medium

  * do not install files as conffiles in /etc/bareos (Closes: #767819)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 04 Nov 2014 07:19:30 +0100

bareos (14.2.1+20141017gitc6c5b56-2) unstable; urgency=medium

  * Add more conflicts against Bacula packages.
    Thanks to Ralf Treinen <treinen@free.fr> (Closes: #767058)

 -- Evgeni Golov <evgeni@debian.org>  Thu, 30 Oct 2014 17:17:58 +0100

bareos (14.2.1+20141017gitc6c5b56-1) unstable; urgency=medium

  * Import newer upstream snapshot.
  * Use GnuTLS instead of OpenSSL to avoid licensing problems.
  * Don't generate debian/control during build.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 25 Oct 2014 21:32:39 +0200

bareos (14.2.1+20140930git1339225-1) unstable; urgency=medium

  * Initial Debian release. (Closes: Bug#762459)

 -- Evgeni Golov <evgeni@debian.org>  Wed, 08 Oct 2014 13:21:16 +0200
