## bareos 14.2.1+20141017-2

=== debian/changelog ===
bareos (14.2.1+20141017-2-8) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [f708a6d] Correction des droits pour les installation existantes de bareos-dir

  [ EOLE Build Daemon ]
  * [218b69a] Philippe Caseiro: Update package since “debian/eole/14.2.1+20141017-2-7”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 10 Nov 2015 15:51:53 +0100

bareos (14.2.1+20141017-2-7) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [a98268e] Ajout d'un patch pour corriger l'installation de la conf logrotate.

  [ EOLE Build Daemon ]
  * [22fcd00] Philippe Caseiro: Update package since “debian/eole/14.2.1+20141017-2-6”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 10 Nov 2015 15:10:20 +0100

bareos (14.2.1+20141017-2-6) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d4ac83e] Désactiver la configuration dbconfig-common

  [ EOLE Build Daemon ]
  * [7c9556e] Daniel Dehennin: Update package since “debian/eole/14.2.1+20141017-2-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 18 Sep 2015 16:01:28 +0200

bareos (14.2.1+20141017-2-5) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [c0b092c] Correction du SEGV sur check_bareos

  [ EOLE Build Daemon ]
  * [aa64260] Philippe Caseiro: Update package since “debian/eole/14.2.1+20141017-2-4”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 16 Sep 2015 11:56:09 +0200

bareos (14.2.1+20141017-2-4) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9ef3bef] Fix compilation of check-bareos-plugin

  [ EOLE Build Daemon ]
  * [8fac086] Daniel Dehennin: Update package since “debian/eole/14.2.1+20141017-2-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 15 Sep 2015 11:56:22 +0200

bareos (14.2.1+20141017-2-3) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [5ca94d8] Add patch to create check-bareos-plugin
  * [9a5f726] Enable check-bareos-plugin package

  [ EOLE Build Daemon ]
  * [9011164] Daniel Dehennin: Update package since “debian/eole/14.2.1+20141017-2-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 15 Sep 2015 11:11:10 +0200

bareos (14.2.1+20141017-2-2) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a922a4d] Gestion des Provides/Conflicts/Replaces directement dans bareos

  [ EOLE Build Daemon ]
  * [efbc50a] Joël Cuissinat: Update package since “debian/eole/14.2.1+20141017-2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2015 11:10:36 +0200

bareos (14.2.1+20141017-2-1) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [74d5a6f] suppression d'un patch appliqué par dpkg-source

  [ Joël Cuissinat ]
  * [e05d2bc] Merge tag 'release/14.2.1+20141017-2' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [b35260e] Joël Cuissinat: Update package since “debian/eole/14.2.1+20141017-1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 27 Aug 2015 11:15:56 +0200

bareos (14.2.1+20141017-1-1) eole-2.5-unstable; urgency=low

  * [0cb84bc] Ajout configuration gbp/EOLE

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 26 Aug 2015 18:02:24 +0200

bareos (14.2.1+20141017gitc6c5b56-4) unstable; urgency=medium

  [ Joerg Steffens ]
  * clearified description for bareos-database-common.
    Thanks to Davide Prina (Closes: #768606)
  * on purge, also remove /etc/bareos/.rndpwd.
    Thanks to Andreas Beckmann (Closes: #769096)
  * get rid of circular dependencies.
    Thanks to Bill Allombert (Closes: #769536)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 02 Dec 2014 10:23:53 +0100
