=== debian/control ===
--- 
+++ 
@@ -57,6 +57,7 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
 Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides:       bacula-console
 Conflicts:      bacula-console
 Replaces:       bacula-console
 Description: Backup Archiving Recovery Open Sourced - text console
@@ -85,7 +86,9 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
 Depends:        openssl, ${shlibs:Depends}, ${misc:Depends}
-Conflicts:	bacula-director-common, bacula-common
+Provides:       bacula-director-common, bacula-common
+Conflicts:      bacula-director-common, bacula-common
+Replaces:       bacula-director-common, bacula-common
 Description:    Backup Archiving Recovery Open Sourced - common files
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
@@ -96,12 +99,13 @@
 Package:        bareos-database-common
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
-Depends:        bareos-database-postgresql  (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), bareos-common (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
+Depends:        bareos-common (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
 Description: Backup Archiving Recovery Open Sourced - common catalog files
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
  .
- This package provides common files for the Bareos Director daemon.
+ This package provides generic abstraction libs and files to connect the Bareos
+ Director daemon to a database.
 
 
 Package:        bareos-database-postgresql
@@ -145,8 +149,10 @@
 Package:        bareos-database-tools
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
-Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
+Depends:        bareos-common (= ${binary:Version}), bareos-database-postgresql (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
+Provides:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
 Conflicts:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
+Replaces:	bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
 Description: Backup Archiving Recovery Open Sourced - database tools
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
@@ -183,8 +189,9 @@
 Package:        bareos-director
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
-Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
+Depends:        bareos-common (= ${binary:Version}), bareos-database-postgresql (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
 Recommends:     logrotate
+Provides:       bacula-director
 Conflicts:      bacula-director
 Replaces:       bacula-director
 Description: Backup Archiving Recovery Open Sourced - director daemon
@@ -202,6 +209,7 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
 Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, lsb-base (>= 3.2-13), lsof, ${misc:Depends}
+Provides:       bacula-fd
 Conflicts:      bacula-fd
 Replaces:       bacula-fd
 Description: Backup Archiving Recovery Open Sourced - file daemon
@@ -219,6 +227,7 @@
 Architecture:   any
 Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
 Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, python, ${shlibs:Depends}, ${misc:Depends}
+Provides:       bacula-sd
 Conflicts:      bacula-sd
 Replaces:       bacula-sd
 Description: Backup Archiving Recovery Open Sourced - storage daemon
@@ -256,15 +265,3 @@
  Bareos is a set of programs to manage backup, recovery and verification of
  data across a network of computers of different kinds.
  .
- The storage daemon performs the storage and recovery of the file
- attributes and data to the physical media; in other words, it is
- responsible for reading and writing the backups.
- .
- It runs on the machine which has access to the backup device(s) - usually
- a tape drive, but alternatively other storage media, such as files.
- .
- This adds the tape specific support files for the storage daemon.
-
-
-Package:        bareos-tools
-Architecture:   any
