=== debian/rules ===
--- 
+++ 
@@ -118,5 +118,9 @@
 	if [ "`lsb_release --short  --id`" = "Ubuntu" ] && [ "`lsb_release --short  --release`" = "8.04" ]; then PARALLEL=""; fi; \
 	dh $@ $$PARALLEL
 
+override_dh_auto_build:
+	dh_auto_build -O--parallel
+	(cd check_bareos; make)
+
 gen-debian-copyright:
 	(cd debian; make copyright)
